# Reduce introns in granges

Source: `R/utility_functions.R`
`granges_reduce_introns.Rd`

Reduces length of introns to 'min_intron_size' in the provided granges.

    granges_reduce_introns(granges, min_intron_size)

## Arguments

granges | A granges object that shall be altered.
min_intron_size | The minimal intro length, that shall be retained.

## Value

A list containing:

- `granges`: The granges object with reduced introns.

- `reduced_regions`: A granges object with the ranges of the reduced intron regions and their new size.

## Details

Reduces the size of introns to the square root of the length, but not lower than 'min_intron_size'.